#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Diagnostics;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.Windows.Tools;
using System.Xml;
using Syncfusion.Windows.Shared;
using System.ComponentModel;
using System.IO;
using Microsoft.Win32;
using WebBrowser = System.Windows.Forms.WebBrowser;


namespace DockingDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        /// <summary>
        /// Constructor for Window
        /// </summary>

        public Window1()
        {
            try
            {
                InitializeComponent();
                EventsLog();
                MouseDown += Window_MouseDown;
            }
            catch (Exception ee)
            {
                MessageBox.Show(ee.Message);
            }
        }

        private void Window_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ChangedButton == MouseButton.Left)
            {
                DragMove();
            }
        }

        /// <summary>
        /// Subscribe the events while creating object
        /// </summary>  
        public void EventsLog()
        {
            // Subscribe the DockingManager events
            this.DockingManager.Loaded += new RoutedEventHandler(DockingManager_Loaded);
        }
   
        private void DockingManager_Loaded(object sender, RoutedEventArgs e)
        {
            MenuItem menuItem = sender as MenuItem;
        }        

        private void window1_Loaded(object sender, RoutedEventArgs e)
        {
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void MinizeButtonClick(object sender, RoutedEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void MinMaxButton_Click(object sender, RoutedEventArgs e)
        {
            if (this.WindowState == WindowState.Maximized)
            {
                this.WindowState = WindowState.Normal;
                MinMaxButton.Visibility = Visibility.Hidden;
                MaxButton.Visibility = Visibility.Visible;
            }
            else
            {
                this.WindowState = WindowState.Maximized;
                MaxButton.Visibility = Visibility.Hidden;
                MinMaxButton.Visibility = Visibility.Visible;
            }
        }
    }
}